Package waffle.windows.auth.impl

# Class WindowsSecurityContextImpersonationContextImpl

java.lang.Object
waffle.windows.auth.impl.WindowsSecurityContextImpersonationContextImpl

All Implemented Interfaces:
  `IWindowsImpersonationContext`

public class WindowsSecurityContextImpersonationContextImpl extends Object implements IWindowsImpersonationContext
The Class WindowsSecurityContextImpersonationContextImpl.

Author:
  dblock[at]dblock[dot]org

## Constructor Summary

Constructors
Constructor
Description
`WindowsSecurityContextImpersonationContextImpl(com.sun.jna.platform.win32.Sspi.CtxtHandle newCtx)`
Instantiates a new windows security context impersonation context impl.

## Method Summary

Modifier and Type
Method
Description
`void`
`revertToSelf()`
Terminate the impersonation of a client application.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WindowsSecurityContextImpersonationContextImpl

public WindowsSecurityContextImpersonationContextImpl(com.sun.jna.platform.win32.Sspi.CtxtHandle newCtx)
Instantiates a new windows security context impersonation context impl.

Parameters:
  `newCtx` - the new ctx

## Method Details

### revertToSelf

public void revertToSelf()
Description copied from interface: `IWindowsImpersonationContext`
Terminate the impersonation of a client application.

Specified by:
  `revertToSelf` in interface `IWindowsImpersonationContext`